Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.datecs.api.rfid
Class RFID

    java.lang.Object
      com.datecs.api.rfid.RFID

Direct Known Subclasses:
  RC663

    public abstract class RFID

extends java.lang.Object

Class that represents RFID module.

Field Summary
`static int` | `CARD_SUPPORT_FELICA` FeliCa card.
`static int` | `CARD_SUPPORT_ISO15` ISO15 card.
`static int` | `CARD_SUPPORT_JEWEL` JEWEL card.
`static int` | `CARD_SUPPORT_NFC` NFC card.
`static int` | `CARD_SUPPORT_STSRI` ST SRI card.
`static int` | `CARD_SUPPORT_TYPE_A` TYPE A card.
`static int` | `CARD_SUPPORT_TYPE_B` TYPE B card.

Method Summary
`void` | `close()` Close attached streams and release associated resources.
`java.lang.String` | `getLastError()` Get last error.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CARD_SUPPORT_TYPE_A

    public static final int CARD_SUPPORT_TYPE_A

  TYPE A card.

  See Also:
    Constant Field Values

### CARD_SUPPORT_TYPE_B

    public static final int CARD_SUPPORT_TYPE_B

  TYPE B card.

  See Also:
    Constant Field Values

### CARD_SUPPORT_FELICA

    public static final int CARD_SUPPORT_FELICA

  FeliCa card.

  See Also:
    Constant Field Values

### CARD_SUPPORT_NFC

    public static final int CARD_SUPPORT_NFC

  NFC card.

  See Also:
    Constant Field Values

### CARD_SUPPORT_JEWEL

    public static final int CARD_SUPPORT_JEWEL

  JEWEL card.

  See Also:
    Constant Field Values

### CARD_SUPPORT_ISO15

    public static final int CARD_SUPPORT_ISO15

  ISO15 card.

  See Also:
    Constant Field Values

### CARD_SUPPORT_STSRI

    public static final int CARD_SUPPORT_STSRI

  ST SRI card.

  See Also:
    Constant Field Values

Method Detail

### getLastError

    public java.lang.String getLastError()

  Get last error.

  Returns:
    last error.

### close

    public void close()

  Close attached streams and release associated resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD